########################################
# X.org X11 configuration file
# Version: Fedora 9
# Full Path: /etc/X11/xorg.conf
# Author: Peter Gordon (codergeek42) <peter@thecodergeek.com>
# The contents of this file are hereby placed in the public domain.
# Check the xorg.conf(5) man page for more information on the directives used
#     in this configuration.
########################################
# ChangeLog:
# 22 Apr 2008 - Use caps-lock for system-wide compose key.
# 06 Feb 2008 - Adapt for recent Fedora changes (i810-->intel)
#             - Add Wacom Bamboo Fun tablet entries.
# 02 Feb 2006 - Rewrite for new video hardware (Intel G965, GMA X3000)
# 09 Nov 2006 - Reenable EXA
# 01 Nov 2006 - No longer using EXA
#             - Update to new xorg.conf based on the auto-generated one
# 09 Oct 2006 - Added note about specific X.org version
# 09 Oct 2006 - Initial public release
########################################

Section "ServerLayout"
	Identifier	"Peter's Layout"
	Screen		"The Screen"
	InputDevice	"Logitech Trackball"	"CorePointer"
	InputDevice	"PS/2 Keyboard"		"CoreKeyboard"
	InputDevice	"BambooFun (Eraser)"	"SendCoreEvents"
	InputDevice	"BambooFun (Stylus)"	"SendCoreEvents"
	InputDevice	"BambooFun (Pad)"	"SendCoreEvents"
	InputDevice	"BambooFun (Cursor)"	"SendCoreEvents"
EndSection

Section "Monitor"
	Identifier	"LG L204WT-SF"
	Option		"dpms"
EndSection

Section	"InputDevice"
	Identifier	"PS/2 Keyboard"
	Driver		"kbd"
	Option		"XkbLayout"	"us"
	Option		"XkbModel"	"pc105"
	Option		"XkbOptions"	"compose:caps"
EndSection

Section "InputDevice"
	Identifier	"Logitech Trackball"
	Driver		"mouse"
	Option		"Device"		"/dev/input/by-id/usb-Logitech_Trackball-mouse"
	Option		"Protocol"		"ExplorerPS/2"
	Option		"ZAxisMapping"		"4 5"
	Option		"Emulate3Buttons"	"on"
EndSection

Section "InputDevice"
	Driver		"wacom"
	Identifier	"BambooFun (Stylus)"
	Option		"Device"	"/dev/input/wacom"
	Option		"Type"		"stylus"
	Option		"USB"		"on"
EndSection

Section "InputDevice"
	Driver		"wacom"
	Identifier	"BambooFun (Eraser)"
	Option		"Device"	"/dev/input/wacom"
	Option		"Type"		"eraser"
	Option		"USB"		"on"
EndSection

Section "InputDevice"
	Driver		"wacom"
	Identifier	"BambooFun (Cursor)"
	Option		"Device"	"/dev/input/wacom"
	Option		"Type"		"cursor"
	Option		"USB"		"on"
EndSection

Section "InputDevice"
	Driver		"wacom"
	Identifier	"BambooFun (Pad)"
	Option		"Device"	"/dev/input/wacom"
	Option		"Type"		"pad"
	Option		"USB"		"on"
EndSection

Section "Device"
	Identifier	"Intel GMA X3000"
	Driver		"intel"
	VendorName	"Intel Corporation"
	BoardName	"82G965 Integrated Graphics Controller"
	Option		"AccelMethod"	"exa"
EndSection

Section "Screen"
	Identifier "The Screen"
	Device     "Intel GMA X3000"
	Monitor    "LG L204WT-SF"
	DefaultDepth     24
	SubSection "Display"
		Depth	24
		Modes	"1680x1050"
	EndSubSection
EndSection

Section "DRI"
	Group        0
	Mode         0666
EndSection
